Bug 505508 - Review Request: acheck-rules - Rules for acheck
Review Request: acheck-rules - Rules for acheck
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 505507
  Show dependency treegraph
 
Reported: 2009-06-12 03:28 EDT by Rakesh Pandit
Modified: 2009-07-03 15:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 01:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2009-06-15 00:52:39 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1414186
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4f794aa188c04abf5b7ec8bb20689a689371d8e1  acheck-rules_0.3.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Should:
1) Source URL should be
Source0:        http://ftp.de.debian.org/debian/pool/main/a/acheck-rules/%{name}_%{version}.tar.gz
2) also I think you should remove following
Requires:       acheck
Comment 2 Rakesh Pandit 2009-06-15 01:32:24 EDT
Fixed:
http://rakesh.fedorapeople.org/spec/acheck-rules.spec
http://rakesh.fedorapeople.org/srpm/acheck-rules-0.3.1-2.fc11.src.rpm

New Package CVS Request
=======================
Package Name: acheck-rules
Short Description: Rules for acheck
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Jason Tibbitts 2009-06-15 13:19:42 EDT
F-9 branches are no longer permitted.

Otherwise, CVS is done.
Comment 4 Fedora Update System 2009-06-17 01:34:15 EDT
acheck-rules-0.3.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/acheck-rules-0.3.1-2.fc11
Comment 5 Fedora Update System 2009-06-17 01:35:00 EDT
acheck-rules-0.3.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/acheck-rules-0.3.1-2.fc10
Comment 6 Fedora Update System 2009-07-03 15:34:35 EDT
acheck-rules-0.3.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-03 15:47:46 EDT
acheck-rules-0.3.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.